#
# spec file for package OpenOffice_org-writer (Version 3.1.1.4)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           OpenOffice_org-writer
Version:        3.1.1.4
Release:        1.2.3
%define         ooo_build_version 3.1.1.4
%define         piece      writer
#!BuildIgnore:  OpenOffice_org
#!BuildIgnore:  OpenOffice_org-filters-optional
BuildRequires:  ImageMagick ant ant-apache-regexp bison boost-devel ccache cups-devel curl-devel db-devel flac-devel flex gnome-vfs2-devel gperf gtk2-devel icu java-devel kdelibs3-devel krb5 libexif mono-devel neon-devel openldap2-devel pam-devel perl-Archive-Zip perl-Compress-Zlib python-devel recode unixODBC-devel unzip update-desktop-files xml-commons-apis xorg-x11 zip
BuildRequires:  OpenOffice_org-artwork-devel = %version
BuildRequires:  OpenOffice_org-libs-core-devel = %version
# OOo-3.1 started to use fatures from the oox module in the MS DOC filters :-(
BuildRequires:  OpenOffice_org-filters-devel = %version
# 10.3 features
%if %suse_version > 1020
BuildRequires:  libicu-devel
%endif
%define	        ooo_prefix	%_libdir
%define	        ooo_home		ooo3
%define	        ooo_build_tag     ooo310-m19
License:        LGPLv3
Group:          Productivity/Office/Suite
AutoReqProv:    on
Requires:       OpenOffice_org = %version
Supplements:    OpenOffice_org
Summary:        OpenOffice.org Writer and Web
Url:            http://www.openoffice.org/
Source0:        %ooo_build_tag-%piece.tar.bz2
Source1:        ooo-sdf-%piece.tar.bz2
# Security fixes
# two MS Word Import vulnerabilities, CVE-2009-3301, CVE-2009-3302, bnc#564503
Patch900:       cws-hb32showstoppers3ooo310.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64 ppc

%description
This module allows you to create and edit text and graphics in letters,
reports, documents and Web pages by using OpenOffice.org office suite.



%package -n OpenOffice_org-math
License:        LGPLv3
Summary:        OpenOffice.org Math
Group:          Productivity/Office/Suite
Provides:       OpenOffice_org:/usr/bin/oomath
Requires:       OpenOffice_org = %version
Supplements:    OpenOffice_org
%if %suse_version > 1000
Supplements:    OpenOffice_org
%endif

%description -n OpenOffice_org-math 
This module allows you to create and edit scientific formulas and
equations by using OpenOffice.org office suite.



%package devel
Requires:       %name = %version
Requires:       OpenOffice_org-math = %version
Requires:       OpenOffice_org-libs-core-devel = %version
License:        LGPLv3
Summary:        OpenOffice.org Writer Development
Group:          Productivity/Office/Suite
AutoReqProv:    off

%description devel
This package allows developement based on the OpenOffice.org Writer
module API.



%package l10n-prebuilt
License:        LGPLv3
Summary:        Prebuilt OpenOffice.org Writer and Web Localizations
Group:          Productivity/Office/Suite
AutoReqProv:    off

%description l10n-prebuilt
This package includes the prebuilt localization of OpenOffice.org
Writer. It is not intended for a real use. It needs to be repacked to
the real architecture independent package.

This is only a temporary solution until we have an easier way to build
the OpenOffice.org localizations separately.



%prep
%setup -q -a1 -n %ooo_build_tag-%piece
mkdir -p ooo-build/hotfixes
cp -a %{P:900} ooo-build/hotfixes

%build
# setup env.
export OO_INSTDIR=%{_libdir}/%ooo_home
export OO_TOOLSDIR=$OO_INSTDIR/ooo-build/bin
export VERBOSE=1
export EXTRA_BUILD_FLAGS=%{?jobs:-P%jobs}
export EXTRA_DMAKE_FLAGS="%{?jobs:-- -P%jobs}"
$OO_TOOLSDIR/piece/build-generic %piece %ooo_build_tag || $OO_TOOLSDIR/piece/build-generic %piece %ooo_build_tag || $OO_TOOLSDIR/piece/build-generic %piece %ooo_build_tag

%install
# setup env.
export OO_INSTDIR=%{_libdir}/%ooo_home
export OO_TOOLSDIR=$OO_INSTDIR/ooo-build/bin
export DESTDIR=$RPM_BUILD_ROOT
$OO_TOOLSDIR/piece/install-generic %piece %ooo_build_tag
#
# FIXME: we would like to update translations but the macro disables many
# good translations now, 2006-01-12
%suse_update_desktop_file web
%suse_update_desktop_file writer
%suse_update_desktop_file math
#
# hide the Writer/Web menu entry; needed for SLED, bnc#168663, bnc#468981
echo "NoDisplay=true" >>$RPM_BUILD_ROOT/usr/share/applications/web.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/ldconfig

%postun devel
/sbin/ldconfig

%files -f files-%piece.txt
%defattr(-,root,root)
#%dir %ooo_prefix/%ooo_home/basis3.0
#%ooo_prefix/%ooo_home/basis3.0/*

%files -f files-math.txt -n OpenOffice_org-math
%defattr(-,root,root)

%files devel
%defattr(-,root,root)
%dir %ooo_prefix/%ooo_home/solver
%ooo_prefix/%ooo_home/solver/*
%exclude %ooo_prefix/%ooo_home/solver/noarch

%files l10n-prebuilt
%defattr(-,root,root)
%ooo_prefix/%ooo_home/solver/noarch

%changelog
* Tue Dec 22 2009 pmladek@suse.cz
- added security fixes (MaintenanceTracker-29597):
  * two MS Word Import vuln., CVE-2009-3301, CVE-2009-3302, bnc#564503
* Tue Oct 20 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.1.4
* Tue Oct  6 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.1.3
* Tue Sep 22 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.1.2
* Wed Sep  2 2009 pmladek@suse.cz
- ooo-build-3.1.1.1 == 3.1.1-rc1 == final
* Wed Aug 26 2009 pmladek@suse.cz
- updated to the milestone ooo310-m19
- updated ooo-build to version 3.1.1.1 (3.1.1-rc1)
* Tue Aug 18 2009 pmladek@suse.cz
- updated to the milestone ooo310-m18
- updated ooo-build to version 3.1.0.99.3 (3.1.1-beta3)
* Tue Aug  4 2009 pmladek@suse.cz
- updated to the milestone ooo310-m17
- updated ooo-build to version 3.1.0.99.2 (3.1.1-beta2)
- updated extra localizations sources: bg el mk nb nn sk sl
* Thu Jul 23 2009 pmladek@suse.cz
- updated to the milestone ooo310-m16
- updated ooo-build to version 3.1.0.99.1 (3.1.1-beta1)
* Mon Jun 29 2009 pmladek@suse.cz
- updated to the milestone ooo310-m14
- updated ooo-build to version 3.1.0.98.2 (3.1.1-alpha2)
* Mon Jun 15 2009 pmladek@suse.cz
- updated to the milestone ooo310-m13
- updated ooo-build to version 3.1.0.98.1 (3.1.1-alpha1)
* Thu May 28 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.6 (3.1-rc7 == final)
* Tue May 26 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.5 (3.1-rc6)
* Fri May 22 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.4 (3.1-rc5)
* Thu May 21 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.3 (3.1-rc4)
* Tue May 19 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.2 (3.1-rc3)
* Fri May 15 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.1  (3.1-rc2)
* Thu May  7 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.0  (3.1-rc1)
* Thu Apr 30 2009 pmladek@suse.cz
- updated to the milestone ooo310-m11 (3.1-rc2)
- updated ooo-build to version 3.0.99.7 (3.1-beta7)
* Fri Apr 24 2009 pmladek@suse.cz
- updated to the milestone ooo310-m10
- updated ooo-build to version 3.0.99.6 (3.1-beta6)
- updated extra localization sources: be-BY, bg, cs, da, el, et, fi, ga, km,
  lt, mk, sk, sl
* Fri Apr 17 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.99.5 (3.1-beta5)
* Wed Apr  8 2009 pmladek@suse.cz
- updated to the milestone ooo310-m9
- updated ooo-build to version 3.0.99.4 (3.1-beta4)
- added OpenOffice_org-filters-devel to BuildRequires; added
  OpenOffice_org-filters-optional to BuildIgnore; newly needed for OOo-3.1
* Fri Mar 27 2009 pmladek@suse.cz
- updated to the milestone ooo310-m7
- updated ooo-build to version 3.0.99.3 (3.1-beta3)
* Fri Mar 20 2009 pmladek@suse.cz
- updated to the milestone ooo310-m6
- updated ooo-build to version 3.0.99.2 (3.1-beta2)
* Tue Mar 10 2009 pmladek@suse.cz
- updated to the milestone ooo310-m4
- updated ooo-build to version 3.0.99.1 (3.1-beta1)
* Fri Feb 20 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.16.1
* Fri Feb  6 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.15
* Fri Jan 23 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.13
- added ExclusiveArch: %%%%ix86 x86_64 ppc (bnc#465252)
* Fri Jan  9 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.11
- added a hack to hide Writer/Web desktop menu entry on SLED (bnc#168663)
* Fri Dec  5 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.10
* Thu Nov 27 2008 pmladek@suse.cz
- added hack to reduce random build crashes (bnc#449711)
* Fri Nov 21 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.9
- added extra localizations sources
- enabled SUSE translation of desktop files; added update-desktop-files
  to BuildRequires (bnc#445720)
* Fri Nov  7 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.8
* Mon Oct 27 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.7
- added OpenOffice_org-math to requires of the devel package; the devel
  package is common for all subpackages
* Fri Oct 10 2008 pmladek@suse.cz
- updated to the milestone ooo300-m9 (3.0rc4)
- updated ooo-build to version 3.0.0.6
- added BuildIgnore OpenOffice_org to avoid cyclic build dependency
- added OpenOffice_org-artwork-devel to BuildRequires to fix missing
  icons and incomplete dialogs
* Sat Sep 27 2008 pmladek@suse.cz
- updated to the milestone ooo300-m7 (3.0rc2)
- updated ooo-build to version 3.0.0.5
- added Requires OpenOffice_org = %%version
- added Supplements OpenOffice_org
* Thu Sep 11 2008 pmladek@suse.cz
- split from the main OpenOffice_org package, version 3.0.0.4
